%define upstream_name    DBIx-Class-IntrospectableM2M
%define upstream_version 0.001001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Introspect many-to-many shortcuts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Because the many-to-many relationships are not real relationships, they can
not be introspected with DBIx::Class. Many-to-many relationships are
actually just a collection of convenience methods installed to bridge two
relationships. This the DBIx::Class manpage component can be used to store
all relevant information about these non-relationships so they can later be
introspected and examined.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jan 25 2011 jquelin <jquelin> 0.1.1-1.mga1
+ Revision: 38582
- mageia rebuild
- imported package perl-DBIx-Class-IntrospectableM2M


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.1.1-1mdv2011.0
+ Revision: 624756
- import perl-DBIx-Class-IntrospectableM2M

